Resume a campaign
curl --request POST \
--url https://api.getreply.in/v1/campaigns/{id}/resume \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.getreply.in/v1/campaigns/{id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getreply.in/v1/campaigns/{id}/resume",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.getreply.in/v1/campaigns/{id}/resume"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"status": "<string>",
"source": "api",
"template": {},
"category": "<string>",
"reference": "<string>",
"people": 123,
"counts": {
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"skipped": 123
},
"spent": "<string>",
"currency": "<string>",
"scheduled_at": "<string>",
"created_at": "<string>",
"started_at": "<string>",
"finished_at": "<string>",
"stopped_at": "<string>"
}Campaigns
Resume a campaign
Resumes a paused campaign.
Permission: A Full or Send only key.
POST
/
v1
/
campaigns
/
{id}
/
resume
Resume a campaign
curl --request POST \
--url https://api.getreply.in/v1/campaigns/{id}/resume \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.getreply.in/v1/campaigns/{id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getreply.in/v1/campaigns/{id}/resume",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.getreply.in/v1/campaigns/{id}/resume"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text){
"id": "<string>",
"name": "<string>",
"status": "<string>",
"source": "api",
"template": {},
"category": "<string>",
"reference": "<string>",
"people": 123,
"counts": {
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"skipped": 123
},
"spent": "<string>",
"currency": "<string>",
"scheduled_at": "<string>",
"created_at": "<string>",
"started_at": "<string>",
"finished_at": "<string>",
"stopped_at": "<string>"
}Authorizations
Your API key, e.g. gr_live_…
Headers
Your own unique id for this request (at most 255 characters). The same id and body within 24 hours answers the first answer again — never a second send or charge.
Maximum string length:
255Path Parameters
The id.
Response
The campaign.
Available options:
api, platform Show child attributes
Show child attributes